#VU29255 Resource exhaustion in UnZip


Published: 2020-06-25

Vulnerability identifier: #VU29255

Vulnerability risk: Medium

CVSSv3.1:

CVE-ID: CVE-2019-13232

CWE-ID: CWE-400

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
UnZip
Client/Desktop applications / Software for archiving

Vendor: Info-ZIP

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to application does not properly control consumption of internal resources. A remote attacker can trigger resource exhaustion and perform a denial of service (DoS) attack via a specially crafted zip file.

Mitigation
Cybersecurity Help is currently unaware of any official solution to address this vulnerability.

Vulnerable software versions

UnZip: 5.2 - 6.10 b


CPE

External links
http://github.com/madler/unzip
http://lists.debian.org/debian-lts-announce/2019/07/msg00005.html
http://lists.debian.org/debian-lts-announce/2019/07/msg00027.html
http://security.gentoo.org/glsa/202003-58
http://security.netapp.com/advisory/ntap-20190814-0002/
http://support.f5.com/csp/article/K80311892?utm_source=f5support&utm_medium=RSS
http://www.bamsoftware.com/hacks/zipbomb/


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability